% II/staves.ly
% para Full Score, only mvt II

marklineStaffII = \new MarkLine  \with {
  \override VerticalAxisGroup.staff-affinity = ##f
  \override VerticalAxisGroup.staff-staff-spacing =
  #'((basic-distance . 12)
     (minimum-distance . 10)
     (padding. 0)
     (stretchability . 0))
}
{ 
  %figuras en el denominador
  \override MarkLine.TimeSignature.stencil = #format-time-sig-note
  \globalII }

fluteStaffOneII = \new Staff \with {
  instrumentName = "Flauta 1"
  shortInstrumentName = "Fl. 1"
  midiInstrument = "flute"
}  << \globalII { \common \fluteOneII } >>

fluteStaffTwoII = \new Staff \with {
  instrumentName = "Flauta 2"
  shortInstrumentName = "Fl. 2"
  midiInstrument = "flute"
}  << \globalII { \common \fluteTwoII } >>

fluteStaffCombinedII = \new Staff \with {
  instrumentName = "2 Flautas"
  shortInstrumentName = \markup\vcenter{"Fl."\center-column{1 2}}
  midiInstrument = "flute"
  printPartCombineTexts = ##f
}  << \globalII { \common \partcombine\fluteOneII\fluteTwoII } >>

% grupo de flautas
fluteGroupStaffII_transposed = \new StaffGroup \with {
  %corchete cuadrado
  systemStartDelimiter = #'SystemStartSquare %cuadrado
} <<
  %\piccoloStaffII_transposed
  \fluteStaffCombinedII
>>

clarinetStaffOneII_transposed = \new Staff \with {
  instrumentName = "Clarinete 1"
  shortInstrumentName = "Cl. 1"
  midiInstrument = "clarinet"
} << \globalII { \common \clarinetOneII } >>

clarinetStaffTwoII_transposed = \new Staff \with {
  instrumentName = "Clarinete 2"
  shortInstrumentName = "Cl. 2"
  midiInstrument = "clarinet"
} << \globalII { \common \clarinetTwoII } >>

clarinetStaffCombinedII_transposed = \new Staff \with {
  instrumentName = "2 Clarinetes"
  shortInstrumentName = \markup\vcenter{"Cl."\center-column{1 2}}
  midiInstrument = "clarinet"
  printPartCombineTexts = ##f
} << \globalII { \common \partcombine\clarinetOneII\clarinetTwoII } >>

bassClarinetStaffII_transposed = \new Staff \with {
  instrumentName = \markup\concat{"Cl. Bajo (Si" \flat ")"}
  shortInstrumentName = "Cl.B"
  midiInstrument = "clarinet"
} << \globalII { \common \transpose c c' \BclarinetII } >>

% clarinetes
clarinetGroupStaffII_transposed = \new StaffGroup \with {
  %corchete cuadrado
  systemStartDelimiter = #'SystemStartSquare %cuadrado
} <<
  \clarinetStaffCombinedII_transposed
  \bassClarinetStaffII_transposed
>>


oboeStaffII = \new Staff \with {
  instrumentName = "2 Oboes"
  shortInstrumentName = \markup\vcenter{"Ob."\center-column{1 2}}
  midiInstrument = "oboe"
  printPartCombineTexts = ##f
} << \globalII { \common \partcombine \oboeOneII \oboeTwoII  } >>

englishHornStaffII_transposed = \new Staff \with {
  instrumentName = "Corno inglés"
  shortInstrumentName = "Cor."
  midiInstrument = "english horn"
} << \globalII { \common  \englishHornII } >>

bassoonOneStaffII = \new Staff \with {
  instrumentName = "Fagot"
  shortInstrumentName = "Fg."
  midiInstrument = "bassoon"
  printPartCombineTexts = ##f
} << \globalII { \common  \clef bass \bassoonOneII } >>

bassoonTwoStaffII = \new Staff \with {
  instrumentName = "Contrafagot"
  shortInstrumentName = "CFg."
  midiInstrument = "bassoon"
  printPartCombineTexts = ##f
} << \globalII { \common  \clef bass \bassoonTwoII } >>

bassoonStaffII = \new Staff \with {
  instrumentName = "2 Fagotes"
  shortInstrumentName = \markup\vcenter{"Fg."\center-column{1 2}}
  midiInstrument = "bassoon"
  printPartCombineTexts = ##f
} << \globalII {
  \common  \clef bass
  \partcombine
  \bassoonOneII
  \bassoonTwoII 
} >>

%lengüetas dobles
reedGroupStaffII_transposed = \new StaffGroup \with {
  %corchete cuadrado
  systemStartDelimiter = #'SystemStartSquare
}
<<
  \oboeStaffII
  \englishHornStaffII_transposed
  \bassoonOneStaffII
  \bassoonTwoStaffII % es el contrafagot
  %\bassoonStaffII
  % \contrabassoonStaffII_transposed % No hay contrafagot en II
>>

frenchHornOneThreeStaffII_transposed = \new Staff \with {
  instrumentName = \markup\center-column{1 3}
  shortInstrumentName = \markup\center-column{1 3}
  midiInstrument = "french horn"
  printPartCombineTexts = ##f
}  << \globalII { \common\partcombine\frenchHornOneII\frenchHornThreeII
} >>

frenchHornTwoFourStaffII_transposed = \new Staff \with {
  instrumentName = \markup\center-column{2 4}
  shortInstrumentName = \markup\center-column{2 4}
  midiInstrument = "french horn"
  printPartCombineTexts = ##f
} << \globalII { \common\partcombine\frenchHornTwoII\frenchHornFourII } >>

frenchHornsGroupStaffII_transposed = \new GrandStaff \with {
  instrumentName = "4 Trompas"
  shortInstrumentName = "Tpa. "
} <<
  \frenchHornOneThreeStaffII_transposed
  \frenchHornTwoFourStaffII_transposed
>>

trumpetStaffII_transposed = \new Staff \with {
  instrumentName = \markup\concat{"2 Trompetas (Si" \flat ")"}
  shortInstrumentName = \markup\vcenter{"Tpt."\center-column{1 2}}
  midiInstrument = "trumpet"
  printPartCombineTexts = ##f
  %\RemoveEmptyStaves
} << \globalII  { \common \partcombine\trumpetOneII\trumpetTwoII } >>

tromboneStaffII = \new Staff \with {
  instrumentName = "2 Trombones"
  shortInstrumentName = \markup\vcenter{"Tbn."\center-column{1 2}}
  midiInstrument = "trombone"
  printPartCombineTexts = ##f
} << \globalII {
  \common  \clef bass
  \partcombine\tromboneOneII\tromboneTwoII
} >>

%Tamtam
tamtamStaffII = \new DrumStaff
\with {
  instrumentName = #"Tam-tam grande"
  shortInstrumentName = "T-t."
  drumStyleTable = #(alist->hash-table tamtamtable)
%   \override VerticalAxisGroup.staff-staff-spacing =
%   #'((basic-distance . 0)
%      (minimum-distance . 0)
%      (padding . 1)
%      (stretchability . 10))
}
\drummode {
  \override Staff.StaffSymbol.line-positions = #'( 0 )
  %\override Staff.BarLine.bar-extent = #'(-1.5 . 1.5) %alargar divisorias
  << \globalII  {\common \tamtamII } >>
}

%%%%%%%%%%%%%%%%%%%% Tubular Bells
tubularBellsStaffII = \new Staff
\with {
  instrumentName = "Campanas tubulares"
  shortInstrumentName = "C.Tub."
  midiInstrument = "tubular bells"
}
<< \globalII {\common \tubularBellsII } >>

percussionGroupStaffII =  \new StaffGroup
<<
  \tamtamStaffII
  \tubularBellsStaffII
>>

%%%%%%%%%%%%%%%%%%%% Timpani
timpaniStaffII = \new Staff
\with {
  instrumentName = "Timbales"
  shortInstrumentName = "Tim."
  midiInstrument = "timpani"
}
<< \globalII {\common \clef bass \timpaniII }  >>



pianoOneStaffII = \new PianoStaff  \with {
  instrumentName = "Piano 1"
  shortInstrumentName = "P.1"
  midiInstrument = "acoustic grand"
}
<<
  \new Staff ="poneUP" << \globalII { \common \pianoOneMdII } >>
  \new Staff ="poneDOWN" { \common \clef bass \pianoOneMiII }
>>

pianoTwoStaffII = \new PianoStaff  \with {
  instrumentName = "Piano 2"
  shortInstrumentName = "P.2"
  midiInstrument = "acoustic grand"
}
<<
  \new Staff ="ptwoUP" << \globalII { \common \pianoTwoMdII } >>
  \new Staff ="ptwoDOWN" { \common \clef bass \pianoTwoMiII }
>>

violinOneStaffII = \new Staff \with {
  instrumentName = "Violines I"
  shortInstrumentName = "Vln.I"
  midiInstrument = "violin"
} << \globalII { \common \violinOneII } >>

violinTwoStaffII = \new Staff \with {
  instrumentName = "Violines II"
  shortInstrumentName = "Vln.II"
  midiInstrument = "violin"
} << \globalII { \common \violinTwoII } >>

violaStaffII = \new Staff \with {
  instrumentName = "Violas"
  shortInstrumentName = "Vla."
  midiInstrument = "viola"
} << \globalII { \common \clef alto \violaII } >>

celloStaffII = \new Staff \with {
  instrumentName = "Violoncellos"
  shortInstrumentName = "Vcl."
  midiInstrument = "cello"
} << \globalII  { \common \clef bass \celloII } >>

contrabassStaffII = \new Staff \with {
  instrumentName = "Contrabajos"
  shortInstrumentName = "Cbj."
  midiInstrument = "contrabass"
} << \globalII { \common \clef "F_8" \transpose c' c \doubleBassII } >>

%cuerdas
stringGroupStaffII = \new StaffGroup <<
  \violinOneStaffII
  \violinTwoStaffII
  \violaStaffII
  \celloStaffII
  \contrabassStaffII
>>



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% In C

% in C

%{
piccoloStaffII = \new Staff \with {
  instrumentName = "Flautín"
  shortInstrumentName = "Fln."
  midiInstrument = "piccolo"
} { \common \clef "G^8" \transpose c c' \piccoloII }

%}

% in C
% grupo de flautas
fluteGroupStaffII = \new StaffGroup \with {
  %corchete cuadrado
  systemStartDelimiter = #'SystemStartSquare %cuadrado
} <<
  %\piccoloStaffII
  \fluteStaffCombinedII
>>

% in C
clarinetStaffII = \new Staff \with {
  instrumentName = "2 Clarinetes"
  shortInstrumentName = \markup\vcenter{"Cl."\center-column{1 2}}
  midiInstrument = "clarinet"
  printPartCombineTexts = ##f
} << \globalII { \common \transpose c' bes
                 \partcombine\clarinetOneII\clarinetTwoII } >>

% in C
% transportado para que esté en DO
bassClarinetStaffII = \new Staff \with {
  instrumentName = \markup\concat{"Cl. Bajo (Si" \flat ")"}
  shortInstrumentName = "Cl.B"
  midiInstrument = "clarinet"
} << \globalII { \common \transpose c' bes' \BclarinetII } >>

% in C
% clarinetes
clarinetGroupStaffII = \new GrandStaff <<
  \clarinetStaffII
  %\bassClarinetStaffII
>>

% in C
englishHornStaffII = \new Staff \with {
  instrumentName = "Corno inglés"
  shortInstrumentName = "Cor."
  midiInstrument = "english horn"
} << \globalII { \common \transpose c' f \englishHornII } >>


% in C
%lengüetas dobles
reedGroupStaffII = \new StaffGroup \with {
  %corchete cuadrado
  systemStartDelimiter = #'SystemStartSquare
}
<<
  \oboeStaffII
  \englishHornStaffII
  \bassoonStaffII
  % \contrabassoonStaffII %No hay contrafagot en II. mov
>>

% in C
frenchHornOneThreeStaffII = \new Staff \with {
  instrumentName = \markup\center-column{1 3}
  shortInstrumentName = \markup\center-column{1 3}
  midiInstrument = "french horn"
  printPartCombineTexts = ##f
} << \globalII  { \common \transpose c' f
                  \partcombine\frenchHornOneII\frenchHornThreeII } >>

% in C
frenchHornTwoFourStaffII = \new Staff \with {
  instrumentName = \markup{\center-column{2 4}}
  shortInstrumentName = \markup{\center-column{2 4}}
  midiInstrument = "french horn"
  printPartCombineTexts = ##f
} << \globalII { \common \transpose c' f 
                 \partcombine\frenchHornTwoII \frenchHornFourII } >>

% in C
frenchHornsGroupStaffII = \new GrandStaff \with {
  instrumentName = "4 Trompas"
  shortInstrumentName = "Tpa."
} <<
  \frenchHornOneThreeStaffII
  \frenchHornTwoFourStaffII
>>

% in C
trumpetStaffII = \new Staff \with {
  instrumentName = \markup\concat{"2 Trompetas (Si" \flat ")"}
  shortInstrumentName = \markup\vcenter{"Tpt."\center-column{1 2}}
  midiInstrument = "trumpet"
  printPartCombineTexts = ##f
} << \globalII { \common \transpose c' bes
                 \partcombine\trumpetOneII\trumpetTwoII } >>

contrabassStaffII_transposed = \new Staff \with {
  instrumentName = "Contrabajos"
  shortInstrumentName = "Cbj."
  midiInstrument = "contrabass"
} << \globalII { \common \clef bass \doubleBassII } >>

stringGroupStaffII_transposed = \new StaffGroup <<
  \violinOneStaffII
  \violinTwoStaffII
  \violaStaffII
  \celloStaffII
  \contrabassStaffII_transposed
>>
