% III/staves.ly
% para Full Score, only mvt III

marklineStaffIII = \new MarkLine  \with {
  \override VerticalAxisGroup.staff-affinity = ##f
  \override VerticalAxisGroup.staff-staff-spacing =
  #'((basic-distance . 12)
     (minimum-distance . 10)
     (padding. 0)
     (stretchability . 0))
}
{ 
  %figuras en el denominador
  \override MarkLine.TimeSignature.stencil = #format-time-sig-note
  \globalIII }

piccoloStaffIII_transposed = \new Staff \with {
  instrumentName = "Flautín"
  shortInstrumentName = "Fln."
  midiInstrument = "piccolo"
  % \RemoveEmptyStaves % el piccolo NO desaparece
} { \common  \piccoloIII }


fluteStaffOneIII = \new Staff \with {
  instrumentName = "Flauta 1"
  shortInstrumentName = "Fl. 1"
  midiInstrument = "flute"
}  { \common \fluteOneIII }

fluteStaffTwoIII = \new Staff \with {
  instrumentName = "Flauta 2"
  shortInstrumentName = "Fl. 2"
  midiInstrument = "flute"
}  { \common \fluteTwoIII }

fluteStaffCombinedIII = \new Staff \with {
  instrumentName = "2 Flautas"
  shortInstrumentName = \markup\vcenter{"Fl."\center-column{1 2}}
  midiInstrument = "flute"
  printPartCombineTexts = ##f
}  <<\globalIII \partcombine{\common\fluteOneIII}{\common\fluteTwoIII}>>

% grupo de flautas
fluteGroupStaffIII_transposed = \new StaffGroup \with {
  %corchete cuadrado
  systemStartDelimiter = #'SystemStartSquare %cuadrado
} <<
  \piccoloStaffIII_transposed
  \fluteStaffCombinedIII
  %\altoFluteStaffIII_transposed
>>

clarinetStaffOneIII_transposed = \new Staff \with {
  instrumentName = "Clarinete 1"
  shortInstrumentName = "Cl. 1"
  midiInstrument = "clarinet"
} { \common \clarinetOneIII }

clarinetStaffTwoIII_transposed = \new Staff \with {
  instrumentName = "Clarinete 2"
  shortInstrumentName = "Cl. 2"
  midiInstrument = "clarinet"
} { \common \clarinetTwoIII }

clarinetStaffCombinedIII_transposed = \new Staff \with {
  instrumentName = "2 Clarinetes"
  shortInstrumentName = \markup\vcenter{"Cl."\center-column{1 2}}
  midiInstrument = "clarinet"
  printPartCombineTexts = ##f
} \partcombine{\common\clarinetOneIII}{\common\clarinetTwoIII }

% clarinetes
clarinetGroupStaffIII_transposed = \new GrandStaff <<
  \clarinetStaffCombinedIII_transposed
  %bassClarinetStaffIII_transposed
>>


oboeStaffOneIII = \new Staff \with {
  instrumentName = "Oboe 1"
  shortInstrumentName = "Ob. 1"
  midiInstrument = "oboe"
}  { \common \oboeOneIII }

oboeStaffTwoIII = \new Staff \with {
  instrumentName = "Oboe 2"
  shortInstrumentName = "Ob. 2"
  midiInstrument = "oboe"
}  { \common \oboeOneIII  }

oboeStaffCombinedIII = \new Staff \with {
  instrumentName = "2 Oboes"
  shortInstrumentName = \markup\vcenter{"Ob."\center-column{1 2}}
  midiInstrument = "oboe"
  printPartCombineTexts = ##f
}  { \common \partcombine \oboeOneIII \oboeTwoIII  }

englishHornStaffIII_transposed = \new Staff \with {
  instrumentName = "Corno inglés"
  shortInstrumentName = "Cor."
  midiInstrument = "english horn"
} { \common  \englishHornIII }


bassoonStaffIII = \new Staff \with {
  instrumentName = "2 Fagotes"
  shortInstrumentName = \markup\vcenter{"Fg."\center-column{1 2}}
  midiInstrument = "bassoon"
  printPartCombineTexts = ##f
} \partcombine
{\common  \clef bass \bassoonOneIII}
{\common  \clef bass \bassoonTwoIII}

%lengüetas dobles
reedGroupStaffIII_transposed = \new StaffGroup \with {
  %corchete cuadrado
  systemStartDelimiter = #'SystemStartSquare
}
<<
  \oboeStaffCombinedIII
  %\englishHornStaffIII_transposed
  \bassoonStaffIII
  %\contrabassoonStaffIII_transposed
>>

frenchHornOneThreeStaffIII_transposed = \new Staff \with {
  instrumentName = \markup{\center-column{1 3}}
  shortInstrumentName = \markup{\center-column{1 3}}
  midiInstrument = "french horn"
  printPartCombineTexts = ##f
}  {
  \common\partcombine\frenchHornOneIII\frenchHornThreeIII
}

frenchHornTwoFourStaffIII_transposed = \new Staff \with {
  instrumentName = \markup{\center-column{2 4}}
  shortInstrumentName = \markup{\center-column{2 4}}
  midiInstrument = "french horn"
  printPartCombineTexts = ##f
}  { \common \partcombine
     \frenchHornTwoIII
     \frenchHornFourIII  }

frenchHornsGroupStaffIII_transposed = \new GrandStaff \with {
  instrumentName = "4 Trompas"
  shortInstrumentName = "Tpa.  "
} <<
  \frenchHornOneThreeStaffIII_transposed
  \frenchHornTwoFourStaffIII_transposed
>>

trumpetStaffIII_transposed = \new Staff \with {
  instrumentName = \markup\concat{"2 Trompetas (Si" \flat ")"}
  shortInstrumentName = \markup\vcenter{"Tpt."\center-column{1 2}}
  midiInstrument = "trumpet"
  printPartCombineTexts = ##f
}  { \common \partcombine\trumpetOneIII\trumpetTwoIII  }

tromboneStaffIII = \new Staff \with {
  instrumentName = "2 Trombones"
  shortInstrumentName = \markup\vcenter{"Tbn."\center-column{1 2}}
  midiInstrument = "trombone"
  printPartCombineTexts = ##f
} {
  \common  \clef bass
  \partcombine\tromboneOneIII\tromboneTwoIII
}

% Plato con baqueta
platoStaffIII = \new DrumStaff
\with {
  instrumentName = #"Plato"
  shortInstrumentName = "Pl."
  drumStyleTable = #(alist->hash-table clashcymbalstable)
  %   \override VerticalAxisGroup.staff-staff-spacing =
  %   #'((basic-distance . 0)
  %      (minimum-distance . 0)
  %      (padding . 1)
  %      (stretchability . 10))
}
\drummode {
  \override Staff.StaffSymbol.line-positions = #'( 0 )
  %\override Staff.BarLine.bar-extent = #'(-1.5 . 1.5) % alargar divisorias
  {\common \platoIII }
}

#(define cajaIIItable '((hiwoodblock default #t  2)
                        (lowoodblock default #t -2)))

cajaStaffIII = \new DrumStaff % Caja (con bordones) y Tambor
\with {
  \RemoveEmptyStaves
  instrumentName = \markup\center-column{"Caja con bordón" "Tambor" }
  shortInstrumentName = \markup\center-column{"Caj." "Tbor."}
  drumStyleTable = #(alist->hash-table cajaIIItable)
  % no. demasiado junto
  % \override VerticalAxisGroup.default-staff-staff-spacing =
  %  #'((basic-distance . 0)
  %     (minimum-distance . 0)
  %     (padding . 1)
  %     (stretchability . 10))
}
\drummode {
  \override Staff.StaffSymbol.line-positions = #'(-2 2)
  \override Staff.BarLine.bar-extent = #'(-2.5 . 2.5) %alargar divisorias
  {\common \cajaIII }
}


bassDrumStaffIII = \new DrumStaff %BassDrum
\with {
  \RemoveEmptyStaves
  instrumentName = #"Bombo"
  shortInstrumentName = "Bom."
  drumStyleTable = #(alist->hash-table bassdrumtable)
  % no. demasiado junto
  % \override VerticalAxisGroup.default-staff-staff-spacing =
  %  #'((basic-distance . 0)
  %     (minimum-distance . 0)
  %     (padding . 1)
  %     (stretchability . 10))
}
\drummode {
  \override Staff.StaffSymbol.line-positions = #'( 0 )
  \override Staff.BarLine.bar-extent = #'(-1.5 . 1.5) %alargar divisorias
  {\common \bassDrumIII }
}


%Tamtam
tamtamStaffIII = \new DrumStaff
\with {
  \RemoveEmptyStaves
  instrumentName = #"Tam-tam grande"
  shortInstrumentName = "T-t."
  drumStyleTable = #(alist->hash-table tamtamtable)
  %  \override VerticalAxisGroup.staff-staff-spacing =
  %   #'((basic-distance . 4)
  %      (minimum-distance . 3)
  %      (padding . 2)
  %      (stretchability . 10))
}
\drummode {
  \override Staff.StaffSymbol.line-positions = #'( 0 )
  %\override Staff.BarLine.bar-extent = #'(-1.5 . 1.5) %alargar divisorias
  {\common \tamtamIII }
}



%%%%%%%%%%%%%%%%%%%% Tubular Bells
tubularBellsStaffIII = \new Staff
\with {
  \RemoveEmptyStaves
  instrumentName = "Campanas tubulares"
  shortInstrumentName = "C.Tub."
  midiInstrument = "tubular bells"
}
{\common \tubularBellsIII }

percussionGroupStaffIII = \new StaffGroup
<<
  \platoStaffIII
  \cajaStaffIII
  \bassDrumStaffIII
  \tamtamStaffIII
  \tubularBellsStaffIII
>>

%%%%%%%%%%%%%%%%%%%% Timpani
timpaniStaffIII = \new Staff
\with {
  \RemoveEmptyStaves
  instrumentName = "Timbales"
  shortInstrumentName = "Tim."
  midiInstrument = "timpani"
}
{\common \clef bass \timpaniIII }



pianoOneStaffIII = \new PianoStaff  \with {
  instrumentName = "Piano 1"
  shortInstrumentName = "P.1"
  midiInstrument = "acoustic grand"
}
<<
  \new Staff ="poneUP" { \common \pianoOneMdIII }
  \new Staff ="poneDOWN" { \common \clef bass \pianoOneMiIII }
>>

pianoTwoStaffIII = \new PianoStaff  \with {
  instrumentName = "Piano 2"
  shortInstrumentName = "P.2"
  midiInstrument = "acoustic grand"
}
<<
  \new Staff ="ptwoUP" { \common \pianoTwoMdIII }
  \new Staff ="ptwoDOWN" { \common \clef bass \pianoTwoMiIII }
>>

celloSoloStaff = \new Staff \with {
  instrumentName = "Violoncello Solo"
  shortInstrumentName = "Vcl.S"
  midiInstrument = "cello"
  \RemoveAllEmptyStaves
} { \common \celloSolo }

violinOneStaffIII = \new Staff \with {
  instrumentName = "Violines I"
  shortInstrumentName = "Vln.I "
  midiInstrument = "violin"
} { \common \violinOneIII  }

violinOneStaffIII_global = \new Staff \with {
  instrumentName = "Violines I"
  shortInstrumentName = "Vln.I "
  midiInstrument = "violin"
} << \globalIII { \common \violinOneIII  } >>


violinTwoStaffIII = \new Staff \with {
  instrumentName = "Violines II"
  shortInstrumentName = "Vln.II"
  midiInstrument = "violin"
  printPartCombineTexts = ##f
} { \common \violinTwoIII }

violaStaffIII = \new Staff \with {
  instrumentName = "Violas"
  shortInstrumentName = "Vla."
  midiInstrument = "viola"
  printPartCombineTexts = ##f
} { \common \clef alto \violaIII }

celloStaffIII = \new Staff \with {
  instrumentName = "Violoncellos"
  shortInstrumentName = "Vcl."
  midiInstrument = "cello"
  printPartCombineTexts = ##f
}  {
  \clef bass
  \partcombine {\common\celloOneIII} {\common\celloTwoIII}
}

contrabassStaffIII = \new Staff \with {
  instrumentName = "Contrabajos"
  shortInstrumentName = "Cbj."
  midiInstrument = "contrabass"
}  { \common \clef "F_8" \transpose c' c \doubleBassIII }

%cuerdas
stringGroupStaffIII = \new StaffGroup <<
  \violinOneStaffIII
  \violinTwoStaffIII
  \violaStaffIII
  \new GrandStaff <<
    \celloSoloStaff
    \celloStaffIII 
  >>
  \contrabassStaffIII
>>



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% In C

% in C
piccoloStaffIII = \new Staff \with {
  instrumentName = "Flautín"
  shortInstrumentName = "Fln."
  midiInstrument = "piccolo"
  % \RemoveEmptyStaves % el piccolo NO desaparece
} { \common \clef "G^8" \transpose c c' \piccoloIII }

% in C
% grupo de flautas
fluteGroupStaffIII = \new StaffGroup \with {
  %corchete cuadrado
  systemStartDelimiter = #'SystemStartSquare %cuadrado
} <<
  \piccoloStaffIII
  \fluteStaffCombinedIII
  %\altoFluteStaffIII
>>

% in C
clarinetStaffIII = \new Staff \with {
  instrumentName = "2 Clarinetes"
  shortInstrumentName = \markup\vcenter{"Cl."\center-column{1 2}}
  midiInstrument = "clarinet"
  printPartCombineTexts = ##f
} {
  \common \transpose c' bes
  \partcombine
  \clarinetOneIII
  \clarinetTwoIII
}

% in C
% clarinetes
clarinetGroupStaffIII = \new GrandStaff <<
  \clarinetStaffIII
  %\bassClarinetStaffIII
>>

% in C 
englishHornStaffIII = \new Staff \with {
  instrumentName = "Corno inglés"
  shortInstrumentName = "Cor."
  midiInstrument = "english horn"
} { \common \transpose c' f \englishHornIII }

% in C
%lengüetas dobles
reedGroupStaffIII = \new StaffGroup \with {
  %corchete cuadrado
  systemStartDelimiter = #'SystemStartSquare
}
<<
  \oboeStaffCombinedIII
  \bassoonStaffIII
>>

% in C
frenchHornOneThreeStaffIII = \new Staff \with {
  instrumentName = \markup{\center-column{1 3}}
  shortInstrumentName = \markup{\center-column{1 3}}
  midiInstrument = "french horn"
  printPartCombineTexts = ##f
}  {
  \common \transpose c' f
  \partcombine \frenchHornOneIII \frenchHornThreeIII 

}

% in C
frenchHornTwoFourStaffIII = \new Staff \with {
  instrumentName = \markup{\center-column{2 4}}
  shortInstrumentName = \markup{\center-column{2 4}}
  midiInstrument = "french horn"
}  { \common \transpose c' f << \frenchHornTwoIII \frenchHornFourIII >> }

% in C
frenchHornsGroupStaffIII = \new GrandStaff \with {
  instrumentName = "4 Trompas"
  shortInstrumentName = "Tpa.  "
} <<
  \frenchHornOneThreeStaffIII
  \frenchHornTwoFourStaffIII
>>

% in C
trumpetStaffIII = \new Staff \with {
  instrumentName = \markup\concat{"2 Trompetas (Si" \flat ")"}
  shortInstrumentName = \markup\vcenter{"Tpt."\center-column{1 2}}
  midiInstrument = "trumpet"
  printPartCombineTexts = ##f
} {
  \common \transpose c' bes \partcombine
  \trumpetOneIII
  \trumpetTwoIII
}

contrabassStaffIII_transposed = \new Staff \with {
  instrumentName = "Contrabajos"
  shortInstrumentName = "Cbj."
  midiInstrument = "contrabass"
} { \common \clef bass \doubleBassIII }

stringGroupStaffIII_transposed = \new StaffGroup <<
  \violinOneStaffIII
  \violinTwoStaffIII
  \violaStaffIII
  \new GrandStaff <<
    \celloSoloStaff
    \celloStaffIII
  >>
  \contrabassStaffIII_transposed
>>
